> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 公開鍵／秘密鍵の証明書キーペアの作成

> 公開鍵／秘密鍵の証明書キーペアを作成します。



## OpenAPI

````yaml 26.3/cloud/ja/api-reference/openapi.json POST /createCert
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Arc インスタンスのベース URL
          です。スキームとアプリケーションパスを含みます（例：https://arc.example.com/api.rsc）。
security: []
paths:
  /createCert:
    post:
      tags:
        - createCert
      summary: 公開鍵／秘密鍵の証明書キーペアの作成
      description: 公開鍵／秘密鍵の証明書キーペアを作成します。
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/createCert_input'
        required: true
      responses:
        '200':
          description: アクションの結果。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/createCert_output'
        default:
          description: 予期しないエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    createCert_input:
      type: object
      required:
        - Filename
        - CommonName
        - Serialnumber
        - Password
      properties:
        Filename:
          type: string
          description: 作成する証明書のファイル名。
        CommonName:
          type: string
          description: コモンネーム。
        Serialnumber:
          type: string
          description: シリアル番号。
        Password:
          type: string
          description: パスワード。
        Country:
          type: string
          description: 国。
        Email:
          type: string
          description: メールアドレス。
        Expiration:
          type: string
          description: 有効期限（年単位）。
          default: '1'
        KeySize:
          type: string
          description: キーサイズ。
          default: '2048'
        PublicKeyType:
          type: string
          description: 公開キーのタイプ。
          default: X.509
        SignatureAlgorithm:
          type: string
          description: 署名アルゴリズム。
          default: SHA256
        Locality:
          type: string
          description: 地域。
        Organization:
          type: string
          description: 組織。
        OrganizationalUnit:
          type: string
          description: 組織単位。
        State:
          type: string
          description: 都道府県。
    createCert_output:
      type: array
      items:
        type: object
        properties:
          Name:
            type: string
            description: 作成された証明書のファイル名。
          Password:
            type: string
            description: パスワード。
          Pubname:
            type: string
            description: 公開証明書のファイル名。
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````